package helicopter_usage

import "context"

type Repository interface {
	Create(ctx context.Context, row *HelicopterUsage) error
	Update(ctx context.Context, row *HelicopterUsage) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*HelicopterUsage, error)
	GetByHelicopterID(ctx context.Context, helicopterID []byte) (*HelicopterUsage, error)
	FlightStatsByFlightID(ctx context.Context, flightID []byte) (FlightDayStats, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]HelicopterUsage, int64, error)
}
